"""
    DragonPy - Dragon 32 emulator in Python
    =======================================

    :created: 2014 by Jens Diemer - www.jensdiemer.de
    :copyleft: 2014 by the DragonPy team, see AUTHORS for more details.
    :license: GNU GPL v3 or above, see LICENSE for more details.
"""

DRAGON32_BASIC_TOKENS = {
    0x80: "FOR",
    0x81: "GO",
    0x82: "REM",
    0x83: "'",
    0x84: "ELSE",
    0x85: "IF",
    0x86: "DATA",
    0x87: "PRINT",
    0x88: "ON",
    0x89: "INPUT",
    0x8A: "END",
    0x8B: "NEXT",
    0x8C: "DIM",
    0x8D: "READ",
    0x8E: "LET",
    0x8F: "RUN",
    0x90: "RESTORE",
    0x91: "RETURN",
    0x92: "STOP",
    0x93: "POKE",
    0x94: "CONT",
    0x95: "LIST",
    0x96: "CLEAR",
    0x97: "NEW",
    0x98: "DEF",
    0x99: "CLOAD",
    0x9A: "CSAVE",
    0x9B: "OPEN",
    0x9C: "CLOSE",
    0x9D: "LLIST",
    0x9E: "SET",
    0x9F: "RESET",
    0xA0: "CLS",
    0xA1: "MOTOR",
    0xA2: "SOUND",
    0xA3: "AUDIO",
    0xA4: "EXEC",
    0xA5: "SKIPF",
    0xA6: "DEL",
    0xA7: "EDIT",
    0xA8: "TRON",
    0xA9: "TROFF",
    0xAA: "LINE",
    0xAB: "PCLS",
    0xAC: "PSET",
    0xAD: "PRESET",
    0xAE: "SCREEN",
    0xAF: "PCLEAR",
    0xB0: "COLOR",
    0xB1: "CIRCLE",
    0xB2: "PAINT",
    0xB3: "GET",
    0xB4: "PUT",
    0xB5: "DRAW",
    0xB6: "PCOPY",
    0xB7: "PMODE",
    0xB8: "PLAY",
    0xB9: "DLOAD",
    0xBA: "RENUM",
    0xBB: "TAB(",
    0xBC: "TO",
    0xBD: "SUB",
    0xBE: "FN",
    0xBF: "THEN",
    0xC0: "NOT",
    0xC1: "STEP",
    0xC2: "OFF",
    0xC3: "+",
    0xC4: "-",
    0xC5: "*",
    0xC6: "/",
    0xC7: "^",
    0xC8: "AND",
    0xC9: "OR",
    0xCA: ">",
    0xCB: "=",
    0xCC: "<",
    0xCD: "USING",
    #
    # Function tokens - all proceeded by 0xff to differentiate from operators
    # Token  Function",
    0xFF80: "SGN",
    0xFF81: "INT",
    0xFF82: "ABS",
    0xFF83: "POS",
    0xFF84: "RND",
    0xFF85: "SQR",
    0xFF86: "LOG",
    0xFF87: "EXP",
    0xFF88: "SIN",
    0xFF89: "COS",
    0xFF8A: "TAN",
    0xFF8B: "ATN",
    0xFF8C: "PEEK",
    0xFF8D: "LEN",
    0xFF8E: "STR$",
    0xFF8F: "VAL",
    0xFF90: "ASC",
    0xFF91: "CHR$",
    0xFF92: "EOF",
    0xFF93: "JOYSTK",
    0xFF94: "FIX",
    0xFF95: "HEX$",
    0xFF96: "LEFT$",
    0xFF97: "RIGHT$",
    0xFF98: "MID$",
    0xFF99: "POINT",
    0xFF9A: "INKEY$",
    0xFF9B: "MEM",
    0xFF9C: "VARPTR",
    0xFF9D: "INSTR",
    0xFF9E: "TIMER",
    0xFF9F: "PPOINT",
    0xFFA0: "STRING$",
    0xFFA1: "USR",
}
